import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.time.LocalDate;
import java.util.ArrayList;

import static org.junit.Assert.*;

public class GroupTest {

    Person person;
    Group group;
    LocalDate birthDay;

    @Before
    public void thisIsAtest() {
        birthDay = LocalDate.of(1991,9,20);
        person = new Person("roy", birthDay, Person.Sex.MALE, "reero@ymail.com");
    }

    @Test
    public void printPersonTest(){
        String actual = "roy reero@ymail.com";
        String expected = person.getName() +" "+ person.emailAddress;
        Assert.assertEquals(actual, expected);
    }

    @Test
    public void printPersons(){
        ArrayList<Person> arr = new ArrayList<>();
        arr.add(person);
        arr.add(new Person("karen", birthDay, Person.Sex.FEMALE, "ewhubwjn@ymail.com"));
        String actual = "karen ewhubwjn@ymail.com";
        String expected = Group.printingPersons(arr, per -> per.getGender() == Person.Sex.FEMALE);
        Assert.assertEquals(actual, expected);
    }


}